Report an ERP posting result
POST
/api/app/service-provider/erp-posting-result
const url = 'https://test.unipay.co.zw/api/app/service-provider/erp-posting-result';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"paymentId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","erpReference":"example","bookedAmount":1,"bookedCurrency":"example","exchangeRate":1,"postedAt":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://test.unipay.co.zw/api/app/service-provider/erp-posting-result \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "paymentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "erpReference": "example", "bookedAmount": 1, "bookedCurrency": "example", "exchangeRate": 1, "postedAt": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
paymentId
required
string format: uuid
erpReference
required
string
bookedAmount
number format: double
bookedCurrency
string
exchangeRate
number format: double
postedAt
string format: date-time
Examplegenerated
{ "paymentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "erpReference": "example", "bookedAmount": 1, "bookedCurrency": "example", "exchangeRate": 1, "postedAt": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
successful
boolean
message
string
isNewRecord
boolean
status
string
errorCode
string
Examplegenerated
{ "successful": true, "message": "example", "isNewRecord": true, "status": "example", "errorCode": "example"}Bad Request
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}Unauthorized: token missing, invalid or expired. Empty body.
Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)
Not found: wrong path. Empty body.
Internal Server Error
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions